Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.io
Class DataInput

    java.lang.Object
      org.basex.io.BufferInput
          org.basex.io.DataInput

    public final class DataInput

extends BufferInput

This is an input stream for project specific data types.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`DataInput(File file)` Initializes the file reader.

Method Summary
`boolean` | `readBool()` Reads a boolean value from the input stream.
`byte[]` | `readBytes()` Reads a byte array from the input stream.
`byte[][]` | `readBytesArray()` Reads a double byte array from the input stream.
`double` | `readDouble()` Reads a double from the input stream.
`int` | `readNum()` Reads and decompresses an integer value from the input stream.
`int[]` | `readNums()` Reads an integer array from the input stream.
`int[]` | `readNums(int s)` Reads an integer array with the specified size from the input stream.

Methods inherited from class org.basex.io.BufferInput
`close, encoding, encoding, length, length, read, read, readByte, readChar, readString, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataInput

    public DataInput(File file)
              throws IOException

  Initializes the file reader.

  Parameters:
    `file` - the file to be read
  Throws:
    `IOException` - IO Exception

Method Detail

### readBool

    public boolean readBool()
                     throws IOException

  Reads a boolean value from the input stream.

  Returns:
    boolean value
  Throws:
    `IOException` - IO Exception

### readBytes

    public byte[] readBytes()
                     throws IOException

  Reads a byte array from the input stream.

  Returns:
    byte array
  Throws:
    `IOException` - IO Exception

### readDouble

    public double readDouble()
                      throws IOException

  Reads a double from the input stream.

  Returns:
    byte array
  Throws:
    `IOException` - IO Exception

### readNums

    public int[] readNums()
                   throws IOException

  Reads an integer array from the input stream.

  Returns:
    integer array
  Throws:
    `IOException` - IO Exception

### readNums

    public int[] readNums(int s)
                   throws IOException

  Reads an integer array with the specified size from the input stream.

  Parameters:
    `s` - array size
  Returns:
    integer array
  Throws:
    `IOException` - IO Exception

### readBytesArray

    public byte[][] readBytesArray()
                            throws IOException

  Reads a double byte array from the input stream.

  Returns:
    double array
  Throws:
    `IOException` - IO Exception

### readNum

    public int readNum()
                throws IOException

  Reads and decompresses an integer value from the input stream.

  Returns:
    read value
  Throws:
    `IOException` - IO Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD